GET /v1/executions/stats
Get external execution stats for an organization
GET
/v1/executions/stats
Get external execution stats for an organization
Query Parameters
from
integer
required
query
Start timestamp (Unix milliseconds)
to
integer
required
query
End timestamp (Unix milliseconds)
granularity
string
required
query
Granularity (hourly or daily)
Responses
200
OK
application/jsoncode
integer
data
object
granularity
string
recentFailures
object[]
Array of:
createdAt
string
executionId
string
finishedAt
string
runId
string
sourceSystem
string
status
string
Enum:
awaiting_payment, payment_confirmed, workflow_queued, workflow_running, workflow_waiting, workflow_succeeded, workflow_failed, workflow_cancelledstatusReason
string
workflowId
string
sourceSystems
object[]
Array of:
cancelled
integer
failed
integer
sourceSystem
string
succeeded
integer
total
integer
statuses
object[]
Array of:
count
integer
status
string
Enum:
awaiting_payment, payment_confirmed, workflow_queued, workflow_running, workflow_waiting, workflow_succeeded, workflow_failed, workflow_cancelledsummary
object
averageDurationMs
number
cancelled
integer
failed
integer
inProgress
integer
succeeded
integer
successRate
number
terminal
integer
total
integer
timeSeries
object[]
Array of:
bucketStart
string
cancelled
integer
failed
integer
succeeded
integer
total
integer
message
string
requestId
string
400
Bad Request
500
Internal Server Error
curl -X GET 'https://api.example.com/v1/executions/stats?from=0&to=0&granularity=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/executions/stats?from=0&to=0&granularity=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/executions/stats?from=0&to=0&granularity=string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/executions/stats?from=0&to=0&granularity=string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "granularity": "<string>", "recentFailures": [ { "createdAt": "<string>", "executionId": "<string>", "finishedAt": "<string>", "runId": "<string>", "sourceSystem": "<string>", "status": "awaiting_payment", "statusReason": "<string>", "workflowId": "<string>" } ], "sourceSystems": [ { "cancelled": 123, "failed": 123, "sourceSystem": "<string>", "succeeded": 123, "total": 123 } ], "statuses": [ { "count": 123, "status": "awaiting_payment" } ], "summary": { "averageDurationMs": 123, "cancelled": 123, "failed": 123, "inProgress": 123, "succeeded": 123, "successRate": 123, "terminal": 123, "total": 123 }, "timeSeries": [ { "bucketStart": "<string>", "cancelled": 123, "failed": 123, "succeeded": 123, "total": 123 } ] }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/executions/stats
